
Figure - 开发 Dev #110651
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110647 (进行中 In Progress): 【MK】【011】【Audio】主任务

【MK】【011】【Audio】【TC-RID: 1201-0101104】Platform TDM信号相关配置
2022-07-25 12:41 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date: 2022-08-10

Assignee: CD BSP-唐金泽 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: 依赖客户及其供应商问题List

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc L27

DSP Driver相关配置

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-08-01 16:16 - SZ TPM-罗云进

- Due date set to 2022-08-10

- Category changed from 714 to 703

- Assignee changed from SZ TPM-罗云进 to SZ SW-Audio-盛举

#2 - 2022-08-04 14:31 - SZ SW-Audio-盛举

- Subject changed from 【MK】【011】【Audio】【TC-RID: 0301-0101104】DSP Driver相关配置 to 【MK】【011】【Audio】【TC-RID: 0301-0101104

】Platform TDM信号相关配置

#3 - 2022-08-04 21:27 - CD TPM-申艳艳

- Subject changed from 【MK】【011】【Audio】【TC-RID: 0301-0101104】Platform TDM信号相关配置 to 【MK】【011】【Audio】【TC-RID:

1201-0101104】Platform TDM信号相关配置

#4 - 2022-08-05 13:48 - SZ SW-Audio-盛举

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 30

#5 - 2022-09-22 19:45 - SZ TPM-罗云进

- Assignee changed from SZ SW-Audio-盛举 to CD BSP-杜磊

#6 - 2022-10-28 16:12 - CD BSP-唐金泽

- Category set to BSP

- Assignee changed from CD BSP-杜磊 to CD BSP-夏实

#7 - 2022-10-31 16:35 - CD BSP-夏实

- Status changed from 进行中 In Progress to 保留中 Pending

剩余事项：
1.A2B链路，客户去调中控MASTER，副排屏做slave，不需要对代码进行调整；

2.音频链路，需要中控定义TDM信号类型，副排屏（TC）需要按照客户调试后的TDM信号，来修改配置；

（当前状态是TDM2 16bit深度的信号）

3.最后副排屏（TC）软件对收到的音频音频信号进行解析；

#8 - 2022-10-31 16:40 - CD BSP-夏实

- Target version set to 依赖客户及其供应商问题List

#9 - 2022-12-22 20:21 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141122 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shengju0304@thundersoft.com

Audio: Enable Primary TDM bus(1/2)Enable pri_tdm bus in devicetreeTest Result:Primary tdm normal output signal.TC-RID: 0301-0101104IssueID:

TS-R-DF-110651Change-Id: Iadaf6de2028ac3cd5767215689a68e1b94fee227

#10 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141123 general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shengju0304@thundersoft.com

Audio: Enable Primary TDM bus(2/2)Delete disable tdm defineTest Result:Primary tdm normal output signal.TC-RID: 0301-0101104IssueID:

TS-R-DF-110651Change-Id: Ia53aa6e500dfc255e6c9823c00913c2795690ff5

#11 - 2022-12-22 20:25 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143538 general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shengju0304@thundersoft.com

BSP: Audio: Modify TDM related configuration(1/2)1. Config audio machine driver for TDM2.2. Change in msm-dai-q6-v2.cTest Result:TDM signal is normally

when play music.TC-RID: 1201-0101104IssueID: TS-R-DF-110651Change-Id: I0109610f0f8c346a6572bf853d823bfced496da2
#12 - 2022-12-22 20:25 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143539 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shengju0304@thundersoft.com

BSP: Audio: Modify TDM related configuration(2/2)Config which primary TDM data lanes are used as Txand which are used as Rx in dtsi.Test Result:TDM signal

is normally when play music.TC-RID: 1201-0101104IssueID: TS-R-DF-110651Change-Id: I7284888240a7d5b6c7355f01325a399da97bc189

#13 - 2023-02-16 14:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171846 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP: Audio: Modify TDM related configuration(2/2)Config which primary TDM data lanes are used as Txand which are used as Rx in dtsi.Test Result:TDM signal

is normally when play music.TC-RID: 1201-0101104IssueID: TS-R-DF-110651Change-Id: I011b22bc5d2053b9a4e88b1dec4155d80dbfdbae

#14 - 2023-02-16 14:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

165471 general/platform/vendor/opensource/a

udio-kernel

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangyj0127@thundersoft.com

BSP: Audio: Modify TDM related configuration(1/2)Config audio machine driver for TDM2.Test Result:TDM signal is normally when play music.TC-RID:

1201-0101104IssueID: TS-R-DF-110651Change-Id: I5c18aa368f4be0ad629f4a9f12f6900600a18f11

#15 - 2023-05-16 15:15 - CD BSP-唐金泽

- Status changed from 保留中 Pending to 完成 Closed

- Assignee changed from CD BSP-夏实 to CD BSP-唐金泽

- % Done changed from 30 to 100
